Index: data/media/levels/hudtemplates3.oxw
===================================================================
--- data/media/levels/hudtemplates3.oxw	(revision 5323)
+++ data/media/levels/hudtemplates3.oxw	(revision 5325)
@@ -5,5 +5,5 @@
    font     = "VeraMono"
    caption  = ""
-   textSize = 0.025
+   textsize = 0.025
   />
 </OverlayGroup>
@@ -16,5 +16,5 @@
      font     = "VeraMono"
      caption  = "Press [Fire] to start the match"
-     textSize = 0.05
+     textsize = 0.05
      colour   = "1.0, 1.0, 0.0, 0.8"
      align    = "center"
@@ -25,22 +25,43 @@
 <Template name="spaceshiphud">
   <OverlayGroup name = "HUD" scale = "1, 1">
+    <HUDHealthBar
+     name              = "HealthBar1"
+     background        = "Orxonox/HealthBarBackground"
+     size              = "0.35, 0.0875"
+     position          = "0.0 , 0.95 "
+     pickpoint         = "0, 1"
+     bartexture        = "healthbar_bar.tga"
+     textfont          = "VeraMono"
+     textusebarcolour  = true
+     textsize          = 0.039
+     textoffset        = "0.315, 0.05"
+     textpickpoint     = "0, 0"
+     textalign         = "right"
+     correctaspect     = false
+     textcorrectaspect = false
+    >
+      <BarColour position = 0.0 colour = "0.7,0.2,0.2" />
+      <BarColour position = 0.5 colour = "0.7,0.7,0.2" />
+      <BarColour position = 1.0 colour = "0.2,0.7,0.2" />
+    </HUDHealthBar>
+
     <HUDSpeedBar
-     name       = "SpeedBar1"
-     background = "Orxonox/BarBackground"
-     size       = "0.35, 0.05"
-     position   = "0.0 , 1.0 "
-     pickPoint  = "0, 1"
-     value      = 0
+     name          = "SpeedBar1"
+     background    = "Orxonox/BarBackground"
+     size          = "0.35, 0.05"
+     position      = "0.0 , 1.0 "
+     pickpoint     = "0, 1"
+     correctaspect = false
     >
-      <BarColour position = 0.7 colour = "0.2,0.7,0.2" />
-      <BarColour position = 0.4 colour = "0.7,0.5,0.2" />
-      <BarColour position = 0.1 colour = "0.7,0.2,0.2" />
+      <BarColour position = 0.0 colour = "0.7,0.5,0.2" />
+      <BarColour position = 0.5 colour = "0.2,0.7,0.2" />
+      <BarColour position = 1.0 colour = "0.7,0.2,0.2" />
     </HUDSpeedBar>
 
     <HUDNavigation
      name          = "Navigation"
-     correctAspect = true
+     correctaspect = true
      font          = "Monofur"
-     textSize      = 0.05
+     textsize      = 0.05
      navMarkerSize = 0.03
      aimMarkerSize = 0.04
@@ -50,8 +71,8 @@
      name          = "Radar"
      background    = "Orxonox/Radar"
-     correctAspect = true
+     correctaspect = true
      size          = "0.17, 0.17"
      position      = "1.0, 1.0"
-     pickPoint     = "1.0, 1.0"
+     pickpoint     = "1.0, 1.0"
      rotation      = 0
      sensitivity   = 1.0
Index: data/media/levels/sample3.oxw
===================================================================
--- data/media/levels/sample3.oxw	(revision 5323)
+++ data/media/levels/sample3.oxw	(revision 5325)
@@ -18,5 +18,5 @@
     <SpawnPoint position="0,   0, -700" yaw  =180 spawnclass=SpaceShip pawndesign=spaceshipassff />
     <SpawnPoint position="0, 300, -300" pitch=-90 spawnclass=SpaceShip pawndesign=spaceshipassff />
-
+<!--
     <GlobalShader compositor="Old TV" visible=false>
       <events>
@@ -26,5 +26,5 @@
       </events>
     </GlobalShader>
-
+-->
     <Bot/>
     <Bot/>
Index: data/media/materials/scripts/Orxonox.material
===================================================================
--- data/media/materials/scripts/Orxonox.material	(revision 5323)
+++ data/media/materials/scripts/Orxonox.material	(revision 5325)
@@ -107,4 +107,21 @@
 }
 
+material Orxonox/HealthBarBackground
+{
+	technique
+	{
+		pass
+		{
+			lighting off
+			scene_blend alpha_blend
+			depth_check off
+
+			texture_unit
+			{
+				texture healthbar_bg.tga
+			}
+		}
+	}
+}
 material Orxonox/Radar
 {
Index: data/media/overlay/debug.oxo
===================================================================
--- data/media/overlay/debug.oxo	(revision 5323)
+++ data/media/overlay/debug.oxo	(revision 5325)
@@ -4,5 +4,6 @@
  scale   = "1.0, 1.0"
  scroll  = "0, 0"
- visible = true>
+ visible = false
+>
 
   <OverlayText
@@ -11,4 +12,5 @@
    font     = "Monofur"
    caption  = "Frames per second:"
+   textsize = 0.03
    textSize = 0.03
   />
@@ -18,4 +20,5 @@
    position = "0.3, 0.05"
    font     = "Monofur"
+   textsize = 0.03
    textSize = 0.03
   />
@@ -26,4 +29,5 @@
    font     = "Monofur"
    caption  = "Tick time in ms: "
+   textsize = 0.03
    textSize = 0.03
   />
@@ -33,4 +37,5 @@
    position = "0.3, 0.09"
    font     = "Monofur"
+   textsize = 0.03
    textSize = 0.03
   />