Index: data/media/levels/sample3.oxw
===================================================================
--- data/media/levels/sample3.oxw	(revision 5350)
+++ data/media/levels/sample3.oxw	(revision 5351)
@@ -18,5 +18,5 @@
     <SpawnPoint position="0,   0, -700" yaw  =180 spawnclass=SpaceShip pawndesign=spaceshipassff />
     <SpawnPoint position="0, 300, -300" pitch=-90 spawnclass=SpaceShip pawndesign=spaceshipassff />
-<!--
+
     <GlobalShader compositor="Old TV" visible=false>
       <events>
@@ -26,5 +26,5 @@
       </events>
     </GlobalShader>
--->
+
     <Bot/>
     <Bot/>
@@ -83,5 +83,4 @@
       </attached>
     </MovableEntity>
-
 
     <ParticleSpawner position="-500,0,-200" source="Orxonox/BigExplosion1part1" lifetime=3.0 loop=1 />
Index: data/media/levels/spaceshiptemplates3.oxw
===================================================================
--- data/media/levels/spaceshiptemplates3.oxw	(revision 5350)
+++ data/media/levels/spaceshiptemplates3.oxw	(revision 5351)
@@ -4,4 +4,7 @@
    camerapositiontemplate = spaceshipassffcameras
    engine                 = spaceshipassffengine
+   spawnparticlesource    = "Orxonox/fairytwirl"
+   spawnparticleduration  = 3
+   explosionchunks        = 7
 
    health            = 100
Index: data/media/particle/explosion2.particle
===================================================================
--- data/media/particle/explosion2.particle	(revision 5351)
+++ data/media/particle/explosion2.particle	(revision 5351)
@@ -0,0 +1,64 @@
+
+Orxonox/explosion2
+{
+	quota	150
+	material	PE/explosion
+	particle_width	50
+	particle_height	20
+	cull_each	false
+	renderer	billboard
+	sorted	false
+	local_space	false
+	iteration_interval	0
+	nonvisible_update_timeout	0
+	billboard_type	oriented_self
+	billboard_origin	center
+	billboard_rotation_type	texcoord
+	common_up_vector	0 1 0
+	point_rendering	false
+	accurate_facing	false
+
+	emitter Point
+	{
+		angle	180
+		colour	1 0.9 0.8 1
+		colour_range_start	1 0.9 0.8 1
+		colour_range_end	1 0.9 0.8 1
+		direction	0 1 0
+		emission_rate	300
+		position	0 0 0
+		velocity	0
+		velocity_min	0
+		velocity_max	75
+		time_to_live	0.75
+		time_to_live_min	0.75
+		time_to_live_max	0.75
+		duration	0.5
+		duration_min	0.5
+		duration_max	0.5
+		repeat_delay	5
+		repeat_delay_min	5
+		repeat_delay_max	5
+	}
+
+	affector Scaler
+	{
+		rate	20
+	}
+
+	affector ColourInterpolator
+	{
+		colour0	1 1 1 0
+		time0	0
+		colour1	0.7 0.7 1 0
+		time1	0.5
+		colour2	0.2 0.3 0.5 0
+		time2	0.7
+		colour3	0 0 0 0
+		time3	1
+		colour4	0.5 0.5 0.5 0
+		time4	1
+		colour5	0.5 0.5 0.5 0
+		time5	1
+	}
+}
Index: data/media/particle/explosion3.particle
===================================================================
--- data/media/particle/explosion3.particle	(revision 5350)
+++ data/media/particle/explosion3.particle	(revision 5351)
@@ -59,8 +59,8 @@
 		colour0	0 0 0 0
 		time0	0
-		colour1	0.3 0.3 0.3 0
-		time1	0.1
-		colour2	0.2 0.2 0.2 0
-		time2	0.4
+		colour1	0.5 0.5 0.5 0
+		time1	0.2
+		colour2	0.1 0.1 0.1 0
+		time2	0.6
 		colour3	0 0 0 0
 		time3	1
Index: data/media/particle/fairytwirl.particle
===================================================================
--- data/media/particle/fairytwirl.particle	(revision 5350)
+++ data/media/particle/fairytwirl.particle	(revision 5351)
@@ -4,6 +4,6 @@
 	quota	500
 	material	PE/lensflare
-	particle_width	7
-	particle_height	7
+	particle_width	2
+	particle_height	2
 	cull_each	false
 	renderer	billboard
@@ -27,8 +27,8 @@
 		direction	0 1 0
 		emission_rate	500
-		position	0 0 0
-		velocity	120
-		velocity_min	120
-		velocity_max	120
+		position	0 -10 0
+		velocity	15
+		velocity_min	15
+		velocity_max	15
 		time_to_live	1
 		time_to_live_min	1
@@ -40,6 +40,6 @@
 		repeat_delay_min	1000000
 		repeat_delay_max	1000000
-		width	100
-		height	100
+		width	35
+		height	35
 		depth	20
 		inner_width	0.99
Index: data/media/particle/fire3.particle
===================================================================
--- data/media/particle/fire3.particle	(revision 5350)
+++ data/media/particle/fire3.particle	(revision 5351)
@@ -4,6 +4,6 @@
 	quota	50
 	material	PE/explosion3
-	particle_width	40
-	particle_height	40
+	particle_width	20
+	particle_height	20
 	cull_each	false
 	renderer	billboard
@@ -30,5 +30,5 @@
 		velocity	0
 		velocity_min	0
-		velocity_max	0
+		velocity_max	20
 		time_to_live	1
 		time_to_live_min	1
Index: data/media/particle/fire4.particle
===================================================================
--- data/media/particle/fire4.particle	(revision 5351)
+++ data/media/particle/fire4.particle	(revision 5351)
@@ -0,0 +1,67 @@
+
+Orxonox/fire4
+{
+	quota	15
+	material	PE/explosion3
+	particle_width	4
+	particle_height	4
+	cull_each	false
+	renderer	billboard
+	sorted	false
+	local_space	false
+	iteration_interval	0
+	nonvisible_update_timeout	0
+	billboard_type	point
+	billboard_origin	center
+	billboard_rotation_type	vertex
+	common_up_vector	0 1 0
+	point_rendering	false
+	accurate_facing	false
+
+	emitter Point
+	{
+		angle	180
+		colour	0 0 0 0
+		colour_range_start	0 0 0 0
+		colour_range_end	0 0 0 0
+		direction	0 1 0
+		emission_rate	35
+		position	0 0 0
+		velocity	5
+		velocity_min	5
+		velocity_max	10
+		time_to_live	0.25
+		time_to_live_min	0.25
+		time_to_live_max	0.25
+		duration	0
+		duration_min	0
+		duration_max	0
+		repeat_delay	0
+		repeat_delay_min	0
+		repeat_delay_max	0
+	}
+
+	affector Rotator
+	{
+		rotation_speed_range_start	0
+		rotation_speed_range_end	0
+		rotation_range_start	0
+		rotation_range_end	360
+	}
+
+	affector ColourInterpolator
+	{
+		colour0	1 1 1 0
+		time0	0
+		colour1	0.6 0.6 0.6 0
+		time1	0.1
+		colour2	0.4 0.4 0.4 0
+		time2	0.4
+		colour3	0 0 0 0
+		time3	1
+		colour4	0.5 0.5 0.5 0
+		time4	1
+		colour5	0.5 0.5 0.5 0
+		time5	1
+	}
+}
Index: data/media/particle/smoke6.particle
===================================================================
--- data/media/particle/smoke6.particle	(revision 5351)
+++ data/media/particle/smoke6.particle	(revision 5351)
@@ -0,0 +1,64 @@
+
+Orxonox/smoke6
+{
+	quota	200
+	material	PE/smoke2
+	particle_width	25
+	particle_height	10
+	cull_each	false
+	renderer	billboard
+	sorted	false
+	local_space	false
+	iteration_interval	0
+	nonvisible_update_timeout	0
+	billboard_type	oriented_self
+	billboard_origin	center
+	billboard_rotation_type	texcoord
+	common_up_vector	0 1 0
+	point_rendering	false
+	accurate_facing	false
+
+	emitter Point
+	{
+		angle	180
+		colour	0 0 0 1
+		colour_range_start	0 0 0 1
+		colour_range_end	0 0 0 1
+		direction	0 1 0
+		emission_rate	50
+		position	0 0 0
+		velocity	40
+		velocity_min	40
+		velocity_max	60
+		time_to_live	1.5
+		time_to_live_min	1.5
+		time_to_live_max	1.5
+		duration	1
+		duration_min	1
+		duration_max	1
+		repeat_delay	5
+		repeat_delay_min	5
+		repeat_delay_max	5
+	}
+
+	affector Scaler
+	{
+		rate	100
+	}
+
+	affector ColourInterpolator
+	{
+		colour0	0.3 0.3 0.3 0.0
+		time0	0.1
+		colour1	0.2 0.2 0.2 0.2
+		time1	0.2
+		colour2	0.2 0.2 0.2 0.2
+		time2	0.6
+		colour3	0 0 0 0
+		time3	1
+		colour4	0 0 0 0
+		time4	1
+		colour5	0.5 0.5 0.5 0
+		time5	1
+	}
+}
Index: data/media/particle/smoke7.particle
===================================================================
--- data/media/particle/smoke7.particle	(revision 5351)
+++ data/media/particle/smoke7.particle	(revision 5351)
@@ -0,0 +1,72 @@
+
+Orxonox/smoke7
+{
+	quota	25
+	material	PE/smoke2
+	particle_width	8
+	particle_height	8
+	cull_each	false
+	renderer	billboard
+	sorted	false
+	local_space	false
+	iteration_interval	0
+	nonvisible_update_timeout	0
+	billboard_type	point
+	billboard_origin	center
+	billboard_rotation_type	vertex
+	common_up_vector	0 1 0
+	point_rendering	false
+	accurate_facing	false
+
+	emitter Point
+	{
+		angle	180
+		colour	0 0 0 0
+		colour_range_start	0 0 0 0
+		colour_range_end	0 0 0 0
+		direction	0 1 0
+		emission_rate	25
+		position	0 0 0
+		velocity	5
+		velocity_min	5
+		velocity_max	10
+		time_to_live	1.0
+		time_to_live_min	1.0
+		time_to_live_max	1.0
+		duration	0
+		duration_min	0
+		duration_max	0
+		repeat_delay	0
+		repeat_delay_min	0
+		repeat_delay_max	0
+	}
+
+	affector Scaler
+	{
+		rate	3
+	}
+
+	affector Rotator
+	{
+		rotation_speed_range_start	0
+		rotation_speed_range_end	0
+		rotation_range_start	0
+		rotation_range_end	360
+	}
+
+	affector ColourInterpolator
+	{
+		colour0	0.2 0.2 0.2 0
+		time0	0
+		colour1	0.15 0.15 0.15 0.7
+		time1	0.1
+		colour2	0.15 0.15 0.15 1
+		time2	0.6
+		colour3	0.1 0.1 0.1 0
+		time3	1
+		colour4	0.5 0.5 0.5 1
+		time4	1
+		colour5	0.5 0.5 0.5 0
+		time5	1
+	}
+}
Index: data/media/particle/sparks.particle
===================================================================
--- data/media/particle/sparks.particle	(revision 5351)
+++ data/media/particle/sparks.particle	(revision 5351)
@@ -0,0 +1,61 @@
+
+Orxonox/sparks
+{
+	quota	100
+	material	PE/lensflare
+	particle_width	4
+	particle_height	4
+	cull_each	true
+	renderer	billboard
+	sorted	false
+	local_space	false
+	iteration_interval	0
+	nonvisible_update_timeout	0
+	billboard_type	point
+	billboard_origin	center
+	billboard_rotation_type	texcoord
+	common_up_vector	0 1 0
+	point_rendering	false
+	accurate_facing	false
+
+	emitter Ellipsoid
+	{
+		angle	180
+		colour	0.8 0.6 0.4 1
+		colour_range_start	0.8 0.6 0.4 1
+		colour_range_end	1 0.7 0.5 1
+		direction	0 -1 0
+		emission_rate	2000
+		position	0 0 0
+		velocity	1
+		velocity_min	1
+		velocity_max	1
+		time_to_live	4
+		time_to_live_min	4
+		time_to_live_max	4
+		duration	0.05
+		duration_min	0.05
+		duration_max	0.05
+		repeat_delay	5
+		repeat_delay_min	5
+		repeat_delay_max	5
+		width	75
+		height	75
+		depth	75
+	}
+
+	affector DirectionRandomiser
+	{
+		randomness	250
+		scope	0.1
+		keep_velocity	true
+	}
+
+	affector ColourFader
+	{
+		red	-0.25
+		green	-0.20
+		blue	-0.15
+		alpha	0
+	}
+}