Index: data/media/particle/Example-Water.particle
===================================================================
--- data/media/particle/Example-Water.particle	(revision 5351)
+++ data/media/particle/Example-Water.particle	(revision 5352)
Index: data/media/particle/Example.particle
===================================================================
--- data/media/particle/Example.particle	(revision 5351)
+++ data/media/particle/Example.particle	(revision 5352)
Index: data/media/particle/bigexplosion1part1.particle
===================================================================
--- data/media/particle/bigexplosion1part1.particle	(revision 5351)
+++ data/media/particle/bigexplosion1part1.particle	(revision 5352)
Index: data/media/particle/bigexplosion1part2.particle
===================================================================
--- data/media/particle/bigexplosion1part2.particle	(revision 5351)
+++ data/media/particle/bigexplosion1part2.particle	(revision 5352)
Index: data/media/particle/bigexplosion1part3.particle
===================================================================
--- data/media/particle/bigexplosion1part3.particle	(revision 5351)
+++ data/media/particle/bigexplosion1part3.particle	(revision 5352)
Index: data/media/particle/emitted_emitter.particle
===================================================================
--- data/media/particle/emitted_emitter.particle	(revision 5351)
+++ data/media/particle/emitted_emitter.particle	(revision 5352)
@@ -1,112 +1,56 @@
 // Example emitted emitters
+Examples/Fireworks
+{
+     material Examples/Flare
+     point_rendering            false
+     particle_width             10
+     particle_height            10
+     cull_each                  false
+     quota                      1000
+     emit_emitter_quota         10
+     billboard_type             point
+     
+     // Emitter that emits multiple Point emitters with name 'explosion'
+     emitter Box
+     {
+         name                    mainEmitter
+         emit_emitter            explosion
+         angle                   30
+         emission_rate           1000
+         time_to_live            3
+         direction               0 1 0
+         velocity                200
+     }
 
-Examples/Fireworks
+     // This Point emitter is emitted by the Box emitter and emits billboard particles itself
+     emitter Point
+     {
+         name                    explosion
+         angle                   360
+         emission_rate           1000
+         time_to_live            2
+         direction               0 1 0
+         velocity                80
+         duration                0.1
+         repeat_delay_min        2
+         repeat_delay_max        3
+     }
 
-{
+     // Make em float downwards
+     affector LinearForce
+     {
+         force_vector            0 -100 0
+         force_application       add
+     } 
 
-    material Examples/Flare
-
-    point_rendering            false
-
-    particle_width             10
-
-    particle_height            10
-
-    cull_each                  false
-
-    quota                      1000
-
-    emit_emitter_quota         10
-
-    billboard_type             point
-
-    
-
-    // Emitter that emits multiple Point emitters with name 'explosion'
-
-    emitter Box
-
-    {
-
-        name                    mainEmitter
-
-        emit_emitter            explosion
-
-        angle                   30
-
-        emission_rate           1000
-
-        time_to_live            3
-
-        direction               0 1 0
-
-        velocity                200
-
-    }
-
-
-
-    // This Point emitter is emitted by the Box emitter and emits billboard particles itself
-
-    emitter Point
-
-    {
-
-        name                    explosion
-
-        angle                   360
-
-        emission_rate           1000
-
-        time_to_live            2
-
-        direction               0 1 0
-
-        velocity                80
-
-        duration                0.1
-
-        repeat_delay_min        2
-
-        repeat_delay_max        3
-
-    }
-
-
-
-    // Make em float downwards
-
-    affector LinearForce
-
-    {
-
-        force_vector            0 -100 0
-
-        force_application       add
-
-    }
-
-
-
-    // Give em some nice colours
-
-    affector ColourInterpolator
-
-    {
-
-        time0                   0
-
-        colour0                 1 1 0
-
-        time1                   0.5
-
-        colour1                 1 0 0
-
-        time2                   0.9
-
-        colour2                 0 0 1
-
-    }
-
-}
-
+     // Give em some nice colours
+     affector ColourInterpolator
+     {
+         time0                   0
+         colour0                 1 1 0
+         time1                   0.5
+         colour1                 1 0 0
+         time2                   0.9
+         colour2                 0 0 1
+     }
+} 
Index: data/media/particle/engineglow.particle
===================================================================
--- data/media/particle/engineglow.particle	(revision 5351)
+++ data/media/particle/engineglow.particle	(revision 5352)
Index: data/media/particle/explosion1.particle
===================================================================
--- data/media/particle/explosion1.particle	(revision 5351)
+++ data/media/particle/explosion1.particle	(revision 5352)
Index: data/media/particle/explosion2.particle
===================================================================
--- data/media/particle/explosion2.particle	(revision 5351)
+++ data/media/particle/explosion2.particle	(revision 5352)
Index: data/media/particle/explosion3.particle
===================================================================
--- data/media/particle/explosion3.particle	(revision 5351)
+++ data/media/particle/explosion3.particle	(revision 5352)
Index: data/media/particle/fairytwirl.particle
===================================================================
--- data/media/particle/fairytwirl.particle	(revision 5351)
+++ data/media/particle/fairytwirl.particle	(revision 5352)
Index: data/media/particle/fire3.particle
===================================================================
--- data/media/particle/fire3.particle	(revision 5351)
+++ data/media/particle/fire3.particle	(revision 5352)
Index: data/media/particle/fire4.particle
===================================================================
--- data/media/particle/fire4.particle	(revision 5351)
+++ data/media/particle/fire4.particle	(revision 5352)
Index: data/media/particle/ray1.particle
===================================================================
--- data/media/particle/ray1.particle	(revision 5351)
+++ data/media/particle/ray1.particle	(revision 5352)
Index: data/media/particle/ray2.particle
===================================================================
--- data/media/particle/ray2.particle	(revision 5351)
+++ data/media/particle/ray2.particle	(revision 5352)
Index: data/media/particle/shot1.particle
===================================================================
--- data/media/particle/shot1.particle	(revision 5351)
+++ data/media/particle/shot1.particle	(revision 5352)
Index: data/media/particle/shot2.particle
===================================================================
--- data/media/particle/shot2.particle	(revision 5351)
+++ data/media/particle/shot2.particle	(revision 5352)
Index: data/media/particle/shot2_small.particle
===================================================================
--- data/media/particle/shot2_small.particle	(revision 5351)
+++ data/media/particle/shot2_small.particle	(revision 5352)
Index: data/media/particle/shot3_small.particle
===================================================================
--- data/media/particle/shot3_small.particle	(revision 5351)
+++ data/media/particle/shot3_small.particle	(revision 5352)
Index: data/media/particle/smoke1.particle
===================================================================
--- data/media/particle/smoke1.particle	(revision 5351)
+++ data/media/particle/smoke1.particle	(revision 5352)
Index: data/media/particle/smoke2.particle
===================================================================
--- data/media/particle/smoke2.particle	(revision 5351)
+++ data/media/particle/smoke2.particle	(revision 5352)
Index: data/media/particle/smoke3.particle
===================================================================
--- data/media/particle/smoke3.particle	(revision 5351)
+++ data/media/particle/smoke3.particle	(revision 5352)
Index: data/media/particle/smoke4.particle
===================================================================
--- data/media/particle/smoke4.particle	(revision 5351)
+++ data/media/particle/smoke4.particle	(revision 5352)
Index: data/media/particle/smoke5.particle
===================================================================
--- data/media/particle/smoke5.particle	(revision 5351)
+++ data/media/particle/smoke5.particle	(revision 5352)
Index: data/media/particle/smoke6.particle
===================================================================
--- data/media/particle/smoke6.particle	(revision 5351)
+++ data/media/particle/smoke6.particle	(revision 5352)
Index: data/media/particle/smoke7.particle
===================================================================
--- data/media/particle/smoke7.particle	(revision 5351)
+++ data/media/particle/smoke7.particle	(revision 5352)
Index: data/media/particle/sparks.particle
===================================================================
--- data/media/particle/sparks.particle	(revision 5351)
+++ data/media/particle/sparks.particle	(revision 5352)
Index: data/media/particle/thruster1.particle
===================================================================
--- data/media/particle/thruster1.particle	(revision 5351)
+++ data/media/particle/thruster1.particle	(revision 5352)
Index: data/media/particle/thruster2.particle
===================================================================
--- data/media/particle/thruster2.particle	(revision 5351)
+++ data/media/particle/thruster2.particle	(revision 5352)
Index: data/media/particle/thruster3.particle
===================================================================
--- data/media/particle/thruster3.particle	(revision 5351)
+++ data/media/particle/thruster3.particle	(revision 5352)