Index: /data/media/levels/hudtemplates3.oxw
===================================================================
--- /data/media/levels/hudtemplates3.oxw	(revision 5382)
+++ /data/media/levels/hudtemplates3.oxw	(revision 5383)
@@ -16,4 +16,13 @@
      colour   = "1.0, 1.0, 0.0, 0.8"
      align    = "center"
+    />
+
+    <NotificationQueue
+     name     = "notification"
+     position = "0.55, 0.05"
+     font     = "VeraMono"
+     textsize = 0.020
+     length   = 3
+     width    = 50
     />
   </OverlayGroup>
Index: /data/media/levels/presentation_dm.oxw
===================================================================
--- /data/media/levels/presentation_dm.oxw	(revision 5382)
+++ /data/media/levels/presentation_dm.oxw	(revision 5383)
@@ -22,5 +22,58 @@
 end
 ?>
-    <Model position="0,0,0" mesh="ast1.mesh" /> 
+
+    <GlobalShader compositor="Bloom" visible=false>
+      <events>
+        <visibility>
+          <DistanceTrigger position="0,0,0" distance=30 target="Spectator" switch=true />
+        </visibility>
+      </events>
+    </GlobalShader>
+    <Model position="0,0,0" scale=8 mesh="ast1.mesh" />
+    <StaticEntity position="0,0,0" collisionType=static>
+      <collisionShapes>
+        <SphereCollisionShape radius="20" />
+      </collisionShapes>
+    </StaticEntity>
+<!--
+<?lua
+for i = 1, 70, 1 
+do ?>
+  <MovableEntity position="<?lua print(math.random() * 6000 - 3000)?>, <?lua print(math.random() * 6000 - 3000) ?>, <?lua print(math.random() * 1000 + 3000) ?>" rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.random() * 30 + 5) ?>">
+    <attached>
+      <Model scale="<?lua print(math.random() * 30 + 10) ?>" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" shadow=false />
+    </attached>
+  </MovableEntity>
+  <MovableEntity position="<?lua print(math.random() * 6000 - 3000)?>, <?lua print(math.random() * 6000 - 3000) ?>, <?lua print(math.random() * -1000 - 3000) ?>" rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.random() * 30 + 5) ?>">
+    <attached>
+      <Model scale="<?lua print(math.random() * 30 + 10) ?>" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" shadow=false />
+    </attached>
+  </MovableEntity>
+
+  <MovableEntity position="<?lua print(math.random() * 6000 - 3000)?>, <?lua print(math.random() * 1000 + 3000) ?>, <?lua print(math.random() * 6000 - 3000) ?>" rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.random() * 30 + 5) ?>">
+    <attached>
+      <Model scale="<?lua print(math.random() * 30 + 10) ?>" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" shadow=false />
+    </attached>
+  </MovableEntity>
+  <MovableEntity position="<?lua print(math.random() * 6000 - 3000)?>, <?lua print(math.random() * -1000 - 3000) ?>, <?lua print(math.random() * 6000 - 3000) ?>" rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.random() * 30 + 5) ?>">
+    <attached>
+      <Model scale="<?lua print(math.random() * 30 + 10) ?>" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" shadow=false />
+    </attached>
+  </MovableEntity>
+
+  <MovableEntity position="<?lua print(math.random() * 1000 + 3000)?>, <?lua print(math.random() * 6000 - 3000) ?>, <?lua print(math.random() * 6000 - 3000) ?>" rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.random() * 30 + 5) ?>">
+    <attached>
+      <Model scale="<?lua print(math.random() * 30 + 10) ?>" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" shadow=false />
+    </attached>
+  </MovableEntity>
+  <MovableEntity position="<?lua print(math.random() * -1000 - 3000)?>, <?lua print(math.random() * 6000 - 3000) ?>, <?lua print(math.random() * 6000 - 3000) ?>" rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.random() * 30 + 5) ?>">
+    <attached>
+      <Model scale="<?lua print(math.random() * 30 + 10) ?>" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" shadow=false />
+    </attached>
+  </MovableEntity>
+<?lua 
+end
+?>
+-->
   </Scene>
 </Level>
Index: /data/media/levels/princessaeryn.oxw
===================================================================
--- /data/media/levels/princessaeryn.oxw	(revision 5382)
+++ /data/media/levels/princessaeryn.oxw	(revision 5383)
@@ -1,8 +1,6 @@
 <?lua
-  include("levels/hudtemplates.oxw")
-?>
-
-<?lua
-  include("levels/spaceshiptemplates.oxw")
+  include("levels/hudtemplates3.oxw")
+  include("overlay/stats.oxo")
+  include("levels/spaceshiptemplates_presentation.oxw")
 ?>
 
@@ -10,13 +8,4 @@
 	dofile("../../media/levels/CuboidSpaceStation.lua")
 ?>
-
-<NotificationQueue
-  name  = "notification"
-  position = "0.55, 0.05"
-  font = "VeraMono"
-  textSize = 0.020
-  length = 3
-  width = 50
-  />
 
 <Level
@@ -29,4 +18,44 @@
     >
       <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0" />
+
+        <Template name=turboitem baseclass=Turbo>
+          <Turbo
+            playerclass=SpaceShip
+            duration=15
+          />
+        </Template>
+
+        <ParticleSpawner position="200,0,-500" source="Orxonox/BigExplosion1part1" lifetime=2.0 loop=0 autostart=0>
+          <events>
+            <spawn>
+              <PickupSpawner position="200,0,-500" distance=50 respawntimer=25 item=turboitem>
+                <attached>
+                  <Model mesh="sphere.mesh" scale=3 />
+                  <Billboard material="Examples/Flare" colour="0.5, 1.0, 0.3" scale=0.5 />
+                </attached>
+              </PickupSpawner>
+            </spawn>
+          </events>
+        </ParticleSpawner>
+
+        <Template name=turboequipment baseclass=Turbo>
+          <Turbo
+            playerclass=SpaceShip
+            duration=0
+          />
+        </Template>
+
+        <ParticleSpawner position="400,0,-1000" source="Orxonox/BigExplosion1part1" lifetime=2.0 loop=0 autostart=0>
+          <events>
+            <spawn>
+              <PickupSpawner position="400,0,-1000" distance=50 respawntimer=25 item=turboequipment>
+                <attached>
+                  <Model mesh="sphere.mesh" scale=3 />
+                  <Billboard material="Examples/Flare" colour="1.0, 0.5, 0.3" scale=0.5 />
+                </attached>
+              </PickupSpawner>
+            </spawn>
+          </events>
+        </ParticleSpawner>
 
         <!-- Quest: -->
@@ -118,5 +147,5 @@
 
             <!-- Asteroid field -->
-            <PositionableEntity position="-500,0,-3000">
+            <StaticEntity position="-500,0,-3000">
                 <attached>
                     <?lua
@@ -132,5 +161,5 @@
                     ?>
                     <!-- S.H.O.E.S -->
-                    <PositionableEntity position="-300,0,0">
+                    <StaticEntity position="-300,0,0">
                         <attached>
                             <Model position="0,0,0" scale=4 yaw=180 pitch=-90 roll=-90 mesh="assff.mesh" />
@@ -149,7 +178,7 @@
                             </QuestEffectBeacon>
                         </attached>
-                    </PositionableEntity>
-                </attached>
-            </PositionableEntity>
+                    </StaticEntity>
+                </attached>
+            </StaticEntity>
       
       
@@ -158,5 +187,5 @@
       
             <!-- Serenity Station -->
-            <PositionableEntity scale=1 position="0,0,5000" yaw=30>
+            <StaticEntity scale=1 position="0,0,5000" yaw=30>
                 <attached>
                     <?lua
@@ -178,8 +207,8 @@
                     </QuestEffectBeacon>
                 </attached>
-            </PositionableEntity>
+            </StaticEntity>
 
             <!-- Katratzi Station -->
-            <PositionableEntity scale=1 position="0,5000,300" yaw=60>
+            <StaticEntity scale=1 position="0,5000,300" yaw=60>
                 <attached>
                     <?lua
@@ -201,8 +230,8 @@
                     </QuestEffectBeacon>
                 </attached>
-            </PositionableEntity>
+            </StaticEntity>
 
             <!-- Pegasus Station -->
-            <PositionableEntity scale=1 position="-5000,100,1000" roll=30>
+            <StaticEntity scale=1 position="-5000,100,1000" roll=30>
                 <attached>
                     <?lua
@@ -224,5 +253,5 @@
                     </QuestEffectBeacon>
                 </attached>
-            </PositionableEntity>
+            </StaticEntity>
 	      
             <!-- Trail -->
@@ -251,11 +280,11 @@
         
             <!-- Hideout -->
-            <PositionableEntity position="5000,5000,5000" >
+            <StaticEntity position="5000,5000,5000" >
                 <attached>
                     <Model scale="100" mesh="ast2.mesh" shadow=false />
                 </attached>
-            </PositionableEntity>
-
-            <PositionableEntity position="5400,5400,5000" visible=false name=trail >
+            </StaticEntity>
+
+            <StaticEntity position="5400,5400,5000" visible=false name=trail >
                 <attached>
                     <Model position="0,0,0" scale=4 yaw=180 pitch=-90 roll=-90 mesh="pirate.mesh" visible=false name=trail />
@@ -274,5 +303,5 @@
                     </QuestEffectBeacon>
                 </attached>
-            </PositionableEntity>
+            </StaticEntity>
 
     </Scene>