Index: trunk/src/lib/physics/Makefile.am
===================================================================
--- trunk/src/lib/physics/Makefile.am	(revision 5405)
+++ trunk/src/lib/physics/Makefile.am	(revision 5410)
@@ -2,13 +2,13 @@
 include $(MAINSRCDIR)/defs/include_paths.am
 
-noinst_LIBRARIES = libORXphysics.a
+noinst_LTLIBRARIES = libORXphysics.la
 
-libORXphysics_a_SOURCES = physics_interface.cc \
-                          physics_connection.cc \
-                          physics_engine.cc \
-                          fields/field.cc \
-                          fields/gravity.cc \
-                          fields/point_gravity.cc \
-                          fields/twirl.cc
+libORXphysics_la_SOURCES = physics_interface.cc \
+                           physics_connection.cc \
+                           physics_engine.cc \
+                           fields/field.cc \
+                           fields/gravity.cc \
+                           fields/point_gravity.cc \
+                           fields/twirl.cc
 
 noinst_HEADERS= physics_interface.h \
Index: trunk/src/lib/physics/Makefile.in
===================================================================
--- trunk/src/lib/physics/Makefile.in	(revision 5405)
+++ trunk/src/lib/physics/Makefile.in	(revision 5410)
@@ -16,5 +16,5 @@
 
 
-SOURCES = $(libORXphysics_a_SOURCES)
+SOURCES = $(libORXphysics_la_SOURCES)
 
 srcdir = @srcdir@
@@ -49,29 +49,29 @@
 CONFIG_HEADER = $(top_builddir)/config.h
 CONFIG_CLEAN_FILES =
-LIBRARIES = $(noinst_LIBRARIES)
-AR = ar
-ARFLAGS = cru
-libORXphysics_a_AR = $(AR) $(ARFLAGS)
-libORXphysics_a_LIBADD =
-am_libORXphysics_a_OBJECTS = physics_interface.$(OBJEXT) \
-	physics_connection.$(OBJEXT) physics_engine.$(OBJEXT) \
-	field.$(OBJEXT) gravity.$(OBJEXT) point_gravity.$(OBJEXT) \
-	twirl.$(OBJEXT)
-libORXphysics_a_OBJECTS = $(am_libORXphysics_a_OBJECTS)
+LTLIBRARIES = $(noinst_LTLIBRARIES)
+libORXphysics_la_LIBADD =
+am_libORXphysics_la_OBJECTS = physics_interface.lo \
+	physics_connection.lo physics_engine.lo field.lo gravity.lo \
+	point_gravity.lo twirl.lo
+libORXphysics_la_OBJECTS = $(am_libORXphysics_la_OBJECTS)
 DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
 depcomp = $(SHELL) $(top_srcdir)/depcomp
 am__depfiles_maybe = depfiles
-@AMDEP_TRUE@DEP_FILES = ./$(DEPDIR)/field.Po ./$(DEPDIR)/gravity.Po \
-@AMDEP_TRUE@	./$(DEPDIR)/physics_connection.Po \
-@AMDEP_TRUE@	./$(DEPDIR)/physics_engine.Po \
-@AMDEP_TRUE@	./$(DEPDIR)/physics_interface.Po \
-@AMDEP_TRUE@	./$(DEPDIR)/point_gravity.Po ./$(DEPDIR)/twirl.Po
+@AMDEP_TRUE@DEP_FILES = ./$(DEPDIR)/field.Plo ./$(DEPDIR)/gravity.Plo \
+@AMDEP_TRUE@	./$(DEPDIR)/physics_connection.Plo \
+@AMDEP_TRUE@	./$(DEPDIR)/physics_engine.Plo \
+@AMDEP_TRUE@	./$(DEPDIR)/physics_interface.Plo \
+@AMDEP_TRUE@	./$(DEPDIR)/point_gravity.Plo \
+@AMDEP_TRUE@	./$(DEPDIR)/twirl.Plo
 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
 	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
+LTCXXCOMPILE = $(LIBTOOL) --mode=compile $(CXX) $(DEFS) \
+	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
+	$(AM_CXXFLAGS) $(CXXFLAGS)
 CXXLD = $(CXX)
-CXXLINK = $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) \
-	-o $@
-SOURCES = $(libORXphysics_a_SOURCES)
-DIST_SOURCES = $(libORXphysics_a_SOURCES)
+CXXLINK = $(LIBTOOL) --mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) \
+	$(AM_LDFLAGS) $(LDFLAGS) -o $@
+SOURCES = $(libORXphysics_la_SOURCES)
+DIST_SOURCES = $(libORXphysics_la_SOURCES)
 HEADERS = $(noinst_HEADERS)
 ETAGS = etags
@@ -82,4 +82,5 @@
 AMDEP_TRUE = @AMDEP_TRUE@
 AMTAR = @AMTAR@
+AR = @AR@
 AUTOCONF = @AUTOCONF@
 AUTOHEADER = @AUTOHEADER@
@@ -94,4 +95,5 @@
 CURL_LIBS = @CURL_LIBS@
 CXX = @CXX@
+CXXCPP = @CXXCPP@
 CXXDEPMODE = @CXXDEPMODE@
 CXXFLAGS = @CXXFLAGS@
@@ -105,4 +107,5 @@
 DOXYGEN_FALSE = @DOXYGEN_FALSE@
 DOXYGEN_TRUE = @DOXYGEN_TRUE@
+ECHO = @ECHO@
 ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
@@ -110,4 +113,6 @@
 EGREP = @EGREP@
 EXEEXT = @EXEEXT@
+F77 = @F77@
+FFLAGS = @FFLAGS@
 GPROF = @GPROF@
 GTK2_CFLAGS = @GTK2_CFLAGS@
@@ -124,4 +129,6 @@
 LIBOBJS = @LIBOBJS@
 LIBS = @LIBS@
+LIBTOOL = @LIBTOOL@
+LN_S = @LN_S@
 LTLIBOBJS = @LTLIBOBJS@
 MAKEINFO = @MAKEINFO@
@@ -143,6 +150,8 @@
 SUB_PROJECTS_TRUE = @SUB_PROJECTS_TRUE@
 VERSION = @VERSION@
+ac_ct_AR = @ac_ct_AR@
 ac_ct_CC = @ac_ct_CC@
 ac_ct_CXX = @ac_ct_CXX@
+ac_ct_F77 = @ac_ct_F77@
 ac_ct_RANLIB = @ac_ct_RANLIB@
 ac_ct_STRIP = @ac_ct_STRIP@
@@ -187,12 +196,12 @@
 target_vendor = @target_vendor@
 MAINSRCDIR = ../..
-noinst_LIBRARIES = libORXphysics.a
-libORXphysics_a_SOURCES = physics_interface.cc \
-                          physics_connection.cc \
-                          physics_engine.cc \
-                          fields/field.cc \
-                          fields/gravity.cc \
-                          fields/point_gravity.cc \
-                          fields/twirl.cc
+noinst_LTLIBRARIES = libORXphysics.la
+libORXphysics_la_SOURCES = physics_interface.cc \
+                           physics_connection.cc \
+                           physics_engine.cc \
+                           fields/field.cc \
+                           fields/gravity.cc \
+                           fields/point_gravity.cc \
+                           fields/twirl.cc
 
 noinst_HEADERS = physics_interface.h \
@@ -208,5 +217,5 @@
 
 .SUFFIXES:
-.SUFFIXES: .cc .o .obj
+.SUFFIXES: .cc .lo .o .obj
 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
 	@for dep in $?; do \
@@ -239,10 +248,14 @@
 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
 
-clean-noinstLIBRARIES:
-	-test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)
-libORXphysics.a: $(libORXphysics_a_OBJECTS) $(libORXphysics_a_DEPENDENCIES) 
-	-rm -f libORXphysics.a
-	$(libORXphysics_a_AR) libORXphysics.a $(libORXphysics_a_OBJECTS) $(libORXphysics_a_LIBADD)
-	$(RANLIB) libORXphysics.a
+clean-noinstLTLIBRARIES:
+	-test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
+	@list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
+	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
+	  test "$$dir" != "$$p" || dir=.; \
+	  echo "rm -f \"$${dir}/so_locations\""; \
+	  rm -f "$${dir}/so_locations"; \
+	done
+libORXphysics.la: $(libORXphysics_la_OBJECTS) $(libORXphysics_la_DEPENDENCIES) 
+	$(CXXLINK)  $(libORXphysics_la_LDFLAGS) $(libORXphysics_la_OBJECTS) $(libORXphysics_la_LIBADD) $(LIBS)
 
 mostlyclean-compile:
@@ -252,11 +265,11 @@
 	-rm -f *.tab.c
 
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/field.Po@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gravity.Po@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/physics_connection.Po@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/physics_engine.Po@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/physics_interface.Po@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/point_gravity.Po@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/twirl.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/field.Plo@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gravity.Plo@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/physics_connection.Plo@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/physics_engine.Plo@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/physics_interface.Plo@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/point_gravity.Plo@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/twirl.Plo@am__quote@
 
 .cc.o:
@@ -276,4 +289,12 @@
 @am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
 
+.cc.lo:
+@am__fastdepCXX_TRUE@	if $(LTCXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/$*.Plo' tmpdepfile='$(DEPDIR)/$*.TPlo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(LTCXXCOMPILE) -c -o $@ $<
+
 field.o: fields/field.cc
 @am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT field.o -MD -MP -MF "$(DEPDIR)/field.Tpo" -c -o field.o `test -f 'fields/field.cc' || echo '$(srcdir)/'`fields/field.cc; \
@@ -292,4 +313,12 @@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o field.obj `if test -f 'fields/field.cc'; then $(CYGPATH_W) 'fields/field.cc'; else $(CYGPATH_W) '$(srcdir)/fields/field.cc'; fi`
 
+field.lo: fields/field.cc
+@am__fastdepCXX_TRUE@	if $(LIBTOOL) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT field.lo -MD -MP -MF "$(DEPDIR)/field.Tpo" -c -o field.lo `test -f 'fields/field.cc' || echo '$(srcdir)/'`fields/field.cc; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/field.Tpo" "$(DEPDIR)/field.Plo"; else rm -f "$(DEPDIR)/field.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='fields/field.cc' object='field.lo' libtool=yes @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/field.Plo' tmpdepfile='$(DEPDIR)/field.TPlo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(LIBTOOL) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o field.lo `test -f 'fields/field.cc' || echo '$(srcdir)/'`fields/field.cc
+
 gravity.o: fields/gravity.cc
 @am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT gravity.o -MD -MP -MF "$(DEPDIR)/gravity.Tpo" -c -o gravity.o `test -f 'fields/gravity.cc' || echo '$(srcdir)/'`fields/gravity.cc; \
@@ -308,4 +337,12 @@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o gravity.obj `if test -f 'fields/gravity.cc'; then $(CYGPATH_W) 'fields/gravity.cc'; else $(CYGPATH_W) '$(srcdir)/fields/gravity.cc'; fi`
 
+gravity.lo: fields/gravity.cc
+@am__fastdepCXX_TRUE@	if $(LIBTOOL) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT gravity.lo -MD -MP -MF "$(DEPDIR)/gravity.Tpo" -c -o gravity.lo `test -f 'fields/gravity.cc' || echo '$(srcdir)/'`fields/gravity.cc; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/gravity.Tpo" "$(DEPDIR)/gravity.Plo"; else rm -f "$(DEPDIR)/gravity.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='fields/gravity.cc' object='gravity.lo' libtool=yes @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/gravity.Plo' tmpdepfile='$(DEPDIR)/gravity.TPlo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(LIBTOOL) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o gravity.lo `test -f 'fields/gravity.cc' || echo '$(srcdir)/'`fields/gravity.cc
+
 point_gravity.o: fields/point_gravity.cc
 @am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT point_gravity.o -MD -MP -MF "$(DEPDIR)/point_gravity.Tpo" -c -o point_gravity.o `test -f 'fields/point_gravity.cc' || echo '$(srcdir)/'`fields/point_gravity.cc; \
@@ -324,4 +361,12 @@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o point_gravity.obj `if test -f 'fields/point_gravity.cc'; then $(CYGPATH_W) 'fields/point_gravity.cc'; else $(CYGPATH_W) '$(srcdir)/fields/point_gravity.cc'; fi`
 
+point_gravity.lo: fields/point_gravity.cc
+@am__fastdepCXX_TRUE@	if $(LIBTOOL) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT point_gravity.lo -MD -MP -MF "$(DEPDIR)/point_gravity.Tpo" -c -o point_gravity.lo `test -f 'fields/point_gravity.cc' || echo '$(srcdir)/'`fields/point_gravity.cc; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/point_gravity.Tpo" "$(DEPDIR)/point_gravity.Plo"; else rm -f "$(DEPDIR)/point_gravity.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='fields/point_gravity.cc' object='point_gravity.lo' libtool=yes @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/point_gravity.Plo' tmpdepfile='$(DEPDIR)/point_gravity.TPlo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(LIBTOOL) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o point_gravity.lo `test -f 'fields/point_gravity.cc' || echo '$(srcdir)/'`fields/point_gravity.cc
+
 twirl.o: fields/twirl.cc
 @am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT twirl.o -MD -MP -MF "$(DEPDIR)/twirl.Tpo" -c -o twirl.o `test -f 'fields/twirl.cc' || echo '$(srcdir)/'`fields/twirl.cc; \
@@ -339,4 +384,21 @@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o twirl.obj `if test -f 'fields/twirl.cc'; then $(CYGPATH_W) 'fields/twirl.cc'; else $(CYGPATH_W) '$(srcdir)/fields/twirl.cc'; fi`
+
+twirl.lo: fields/twirl.cc
+@am__fastdepCXX_TRUE@	if $(LIBTOOL) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT twirl.lo -MD -MP -MF "$(DEPDIR)/twirl.Tpo" -c -o twirl.lo `test -f 'fields/twirl.cc' || echo '$(srcdir)/'`fields/twirl.cc; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/twirl.Tpo" "$(DEPDIR)/twirl.Plo"; else rm -f "$(DEPDIR)/twirl.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='fields/twirl.cc' object='twirl.lo' libtool=yes @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/twirl.Plo' tmpdepfile='$(DEPDIR)/twirl.TPlo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(LIBTOOL) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o twirl.lo `test -f 'fields/twirl.cc' || echo '$(srcdir)/'`fields/twirl.cc
+
+mostlyclean-libtool:
+	-rm -f *.lo
+
+clean-libtool:
+	-rm -rf .libs _libs
+
+distclean-libtool:
+	-rm -f libtool
 uninstall-info-am:
 
@@ -419,5 +481,5 @@
 check-am: all-am
 check: check-am
-all-am: Makefile $(LIBRARIES) $(HEADERS)
+all-am: Makefile $(LTLIBRARIES) $(HEADERS)
 installdirs:
 install: install-am
@@ -447,5 +509,6 @@
 clean: clean-am
 
-clean-am: clean-generic clean-noinstLIBRARIES mostlyclean-am
+clean-am: clean-generic clean-libtool clean-noinstLTLIBRARIES \
+	mostlyclean-am
 
 distclean: distclean-am
@@ -453,5 +516,5 @@
 	-rm -f Makefile
 distclean-am: clean-am distclean-compile distclean-generic \
-	distclean-tags
+	distclean-libtool distclean-tags
 
 dvi: dvi-am
@@ -482,5 +545,6 @@
 mostlyclean: mostlyclean-am
 
-mostlyclean-am: mostlyclean-compile mostlyclean-generic
+mostlyclean-am: mostlyclean-compile mostlyclean-generic \
+	mostlyclean-libtool
 
 pdf: pdf-am
@@ -495,13 +559,14 @@
 
 .PHONY: CTAGS GTAGS all all-am check check-am clean clean-generic \
-	clean-noinstLIBRARIES ctags distclean distclean-compile \
-	distclean-generic distclean-tags distdir dvi dvi-am html \
-	html-am info info-am install install-am install-data \
-	install-data-am install-exec install-exec-am install-info \
-	install-info-am install-man install-strip installcheck \
-	installcheck-am installdirs maintainer-clean \
-	maintainer-clean-generic mostlyclean mostlyclean-compile \
-	mostlyclean-generic pdf pdf-am ps ps-am tags uninstall \
-	uninstall-am uninstall-info-am
+	clean-libtool clean-noinstLTLIBRARIES ctags distclean \
+	distclean-compile distclean-generic distclean-libtool \
+	distclean-tags distdir dvi dvi-am html html-am info info-am \
+	install install-am install-data install-data-am install-exec \
+	install-exec-am install-info install-info-am install-man \
+	install-strip installcheck installcheck-am installdirs \
+	maintainer-clean maintainer-clean-generic mostlyclean \
+	mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
+	pdf pdf-am ps ps-am tags uninstall uninstall-am \
+	uninstall-info-am
 
 include $(MAINSRCDIR)/defs/include_paths.am