Index: data/media/levels/empty_level.oxw
===================================================================
--- data/media/levels/empty_level.oxw	(revision 5433)
+++ data/media/levels/empty_level.oxw	(revision 5433)
@@ -0,0 +1,21 @@
+<?lua
+  include("levels/hudtemplates.oxw")
+?>
+
+<?lua
+  include("levels/spaceshiptemplates.oxw")
+?>
+
+<Level
+ name         = "Sample"
+ description  = "Just a few tests"
+>
+  <Scene
+    ambientlight = "0.5, 0.5, 0.5"
+    skybox       = "Orxonox/Starbox"
+  >
+    <SpawnPoint position="0,0,100" spawnclass=SpaceShip pawndesign=spaceshipassff />
+    <Model position="0,0,-9000" scale=1000 mesh="planet.mesh" rotationaxis="0,0,1" rotationrate="0.1"/>
+    <Model position="0,0, 9000" scale=1000 mesh="planet.mesh" rotationaxis="0,0,1" rotationrate="0.1"/>
+  </Scene>
+</Level>
Index: data/media/levels/presentation_level1_felix.oxw
===================================================================
--- data/media/levels/presentation_level1_felix.oxw	(revision 5426)
+++ 	(revision )
@@ -1,133 +1,0 @@
-<?lua
-	include("levels/hudtemplates3.oxw")
-	include("overlay/stats.oxo")
-	include("levels/spaceshiptemplates_presentation.oxw")
-?>
-
-<Level
-	name = "presentation level 1"
-	description = "..."
->
-	<Scene
-		ambientlight = "0.8, 0.8, 0.8"
-		skybox = "Orxonox/skypanoramagen1"
-	>
-
-	<?lua
-		dofile("../../media/levels/CuboidSpaceStation.lua")
-	?>
-
-
-	<!-- a light that doesn't work -->
-	<Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0" />
-
-
-	<!-- space station -->
-	<MovableEntity scale=1 position="2000,0,0" rotationaxis="0,1,0" rotationrate=2>
-		<attached>
-			<MovableEntity scale=1 position="1000,0,0" rotationaxis="0,0,1" rotationrate=1>
-				<attached>
-					<?lua
-						createSpaceStationPar(0,2,1,2,1,4,1,50)
-					?>
-				</attached>
-			</MovableEntity>
-		</attached>
-	</MovableEntity>
-
-
-	<!-- spacecruiser -->
-	<MovableEntity position="1000,0,-1000" pitch="-90" roll="-90">
-      <attached>
-        <Model position="0,0,0" scale=10 mesh="spacecruiser_16.mesh" />
-      </attached>
-    </MovableEntity>
-
-
-	<!-- Carrier with guns not implemented yet -->
-	<MovableEntity position="2000,-800,-1000" pitch="-90" roll="90">
-      <attached>
-        <Model position="0,0,0" scale=10 mesh="Carrier.mesh" />
-		<Model position="0,30,20" scale=10 mesh="pirate.mesh" roll="180" />
-        <Model position="-80,-30,20" scale=10 mesh="pirate.mesh" roll="180" />
-      </attached>
-    </MovableEntity>
-
-
-	<!-- blue planet -->
-	<Planet position="1500,0,-5000" scale=1000 pitch=-90 mesh="iceplanet.mesh" atmosphere="atmosphere1" rotationaxis="1,1,0" rotationrate="1" atmospheresize=224.0f imagesize=1024.0f />
-
-<!-------------------------------------------------------------------->
-	<!--UEA Transporter T036-03-->
-    <MovableEntity position="-500,-300,-800" velocity="60,0,0" rotationaxis="1,-1,-1" rotationrate=0>
-      <attached>
-		<Model position="0,0,0" scale=20 roll=0 pitch=-90 yaw=0 mesh="UEATransporter036.mesh" />
-
-		<!--Engine Front Right-->
-		<MovableEntity position="120,14,70" velocity="0,0,0" rotationaxis="1,0,0" rotationrate=0>
-			<attached>
-				<Model position="0,0,0" scale=20 roll=-90 pitch=-90 	yaw=90 mesh="UEATransporter036T.mesh" />
-					<MovableEntity position="0,0,35" velocity="0,0,0" rotationaxis="1,0,0" rotationrate=0>
-						<attached>
-							<ParticleEmitter pitch=0 roll=180 position="0,0,0" source="Orxonox/smoke5" lifetime=2.0 loop=1 startdelay=3.0 />
-						</attached>
-					</MovableEntity>
-			</attached>
-		</MovableEntity>
-
-		<!--Engine Front Left-->
-		<MovableEntity position="120,14,-70" velocity="0,0,0" rotationaxis="1,0,0" rotationrate=0>
-			<attached>
-				<Model position="0,0,0" scale=20 roll=90 	pitch=-90 	yaw=90 mesh="UEATransporter036T.mesh" />
-					<MovableEntity position="0,-60,-35" velocity="0,0,0" rotationaxis="1,0,0" rotationrate=0>
-						<attached>
-        					<!--ParticleEmitter pitch=0 roll=180 position="0,0,0" source="Orxonox/engineglow" lifetime=2.0 loop=1 startdelay=3.0 /-->
-						</attached>
-					</MovableEntity>
-			</attached>
-		</MovableEntity>
-
-		<!--Engine Back Right-->
-		<MovableEntity position="-90,30,70" velocity="0,0,0" rotationaxis="1,0,0" rotationrate=0>
-			<attached>
-				<Model position="0,0,0" scale=20 roll=-90 	pitch=0 	yaw=90 mesh="UEATransporter036T.mesh" />
-					<MovableEntity position="-60,0,35" velocity="0,0,0" rotationaxis="1,0,0" rotationrate=0>
-						<attached>
-        					<ParticleEmitter pitch=0 roll=180 position="0,0,0" source="Orxonox/engineglow" lifetime=2.0 loop=1 startdelay=3.0 />
-						</attached>
-					</MovableEntity>
-			</attached>
-		</MovableEntity>
-
-		<!--Engine Back Left-->
-		<MovableEntity position="-90,30,-70" velocity="0,0,0" rotationaxis="1,0,0" rotationrate=0>
-			<attached>
-				<Model position="0,0,0" scale=20 roll=90 	pitch=0 	yaw=90 mesh="UEATransporter036T.mesh" />
-					<MovableEntity position="-60,0,-35" velocity="0,0,0" rotationaxis="1,0,0" rotationrate=0>
-						<attached>
-        					<ParticleEmitter pitch=0 roll=180 position="0,0,0" source="Orxonox/engineglow" lifetime=2.0 loop=1 startdelay=3.0 />
-						</attached>
-					</MovableEntity>
-			</attached>
-		</MovableEntity>
-      </attached>
-    </MovableEntity>
-	<!--T036-03 End-->
-<!----------------------------------------------->
-
-	<ParticleSpawner position="0,0,0" source="Orxonox/BigExplosion1part3" lifetime=2.0 loop=0 autostart=0>
-      <events>
-        <spawn>
-          <EventTrigger delay=1>
-            <events>
-              <trigger>
-                <SpawnPoint position="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff />
-              </trigger>
-            </events>
-          </EventTrigger>
-        </spawn>
-      </events>
-    </ParticleSpawner>
-
-  </Scene>
-</Level>