Index: trunk/configure
===================================================================
--- trunk/configure	(revision 5470)
+++ trunk/configure	(revision 5471)
@@ -4170,7 +4170,13 @@
 fi;
 if test x$def_tardis = xyes; then
+  ARCH=i686-debian-linux3.1
+   ## GAMELIBS
   PREFIX=/usr/pack/gamelibs-1.0-to
-  CPPFLAGS="$CPPFLAGS -I$PREFIX/include"
-  LDFLAGS="$LDFLAGS -L$PREFIX/$ARCH/lib -Wl,-rpath -Wl,$PREFIX/$ARCH/lib"
+  CPPFLAGS="${CPPFLAGS} -I${PREFIX}/include"
+  LDFLAGS="${LDFLAGS} -L$PREFIX/${ARCH}/lib -Wl,-rpath -Wl,${PREFIX}/${ARCH}/lib"
+  ## GTK
+  GTKPREFIX=/usr/pack/gtk-2.8.3-mo
+  CPPFLAGS="${CPPFLAGS} -I${GTKPREFIX}/include"
+  LDFLAGS="${LDFLAGS} -L${GTKPREFIX}/${ARCH}/lib -Wl,-rpath -Wl,${GTKPREFIX}/${ARCH}/lib"
   echo "yes"
 fi
Index: trunk/src/subprojects/particles/Makefile.am
===================================================================
--- trunk/src/subprojects/particles/Makefile.am	(revision 5470)
+++ trunk/src/subprojects/particles/Makefile.am	(revision 5471)
@@ -14,4 +14,5 @@
                   $(MAINSRCDIR)/lib/physics/libORXphysics.a \
                   $(MAINSRCDIR)/lib/tinyxml/libtinyxml.a \
+                  $(MAINSRCDIR)/lib/collision_detection/libORXcd.a \
                   $(GTK2_LIBS) $(GTHREAD_LIBS) $(CURL_LIBS)
 
Index: trunk/src/subprojects/particles/Makefile.in
===================================================================
--- trunk/src/subprojects/particles/Makefile.in	(revision 5470)
+++ trunk/src/subprojects/particles/Makefile.in	(revision 5471)
@@ -75,6 +75,7 @@
 	$(MAINSRCDIR)/lib/graphics/importer/libORXimporter.a \
 	$(MAINSRCDIR)/lib/physics/libORXphysics.a \
-	$(MAINSRCDIR)/lib/tinyxml/libtinyxml.a $(am__DEPENDENCIES_1) \
-	$(am__DEPENDENCIES_1)
+	$(MAINSRCDIR)/lib/tinyxml/libtinyxml.a \
+	$(MAINSRCDIR)/lib/collision_detection/libORXcd.a \
+	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
 DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
 depcomp = $(SHELL) $(top_srcdir)/depcomp
@@ -228,4 +229,5 @@
                   $(MAINSRCDIR)/lib/physics/libORXphysics.a \
                   $(MAINSRCDIR)/lib/tinyxml/libtinyxml.a \
+                  $(MAINSRCDIR)/lib/collision_detection/libORXcd.a \
                   $(GTK2_LIBS) $(GTHREAD_LIBS) $(CURL_LIBS)
 
Index: trunk/src/world_entities/weapons/rocket.cc
===================================================================
--- trunk/src/world_entities/weapons/rocket.cc	(revision 5470)
+++ trunk/src/world_entities/weapons/rocket.cc	(revision 5471)
@@ -85,13 +85,16 @@
   if (unlikely(Rocket::trailParticles == NULL))
   {
-    Rocket::trailParticles = new ParticleSystem(1000, PARTICLE_SPRITE);
+    Rocket::trailParticles = new ParticleSystem(2000, PARTICLE_SPRITE);
     Rocket::trailParticles->setName("RocketTrailParticles");
-    Rocket::trailParticles->setLifeSpan(.5, .3);
+    Rocket::trailParticles->setMaterialTexture("maps/radial-trans-noise.png");
+    Rocket::trailParticles->setLifeSpan(1.0, .3);
     Rocket::trailParticles->setRadius(0.0, .5);
     Rocket::trailParticles->setRadius(0.5, 2.0);
-    Rocket::trailParticles->setRadius(1.0, 5.0);
+    Rocket::trailParticles->setRadius(.83, .8);
+    Rocket::trailParticles->setRadius(1.0, .8);
     Rocket::trailParticles->setColor(0.0, 1,0,0,.7);
     Rocket::trailParticles->setColor(0.5, .8,.8,0,.5);
-    Rocket::trailParticles->setColor(1.0, .7,.7,.7,.0);
+    Rocket::trailParticles->setColor(0.8, .8,.8,.8,.8);
+    Rocket::trailParticles->setColor(1.0, .8,.8,.8,.0);
   }
   if (unlikely(Rocket::explosionParticles == NULL))
@@ -99,4 +102,5 @@
     Rocket::explosionParticles = new ParticleSystem(200, PARTICLE_SPRITE);
     Rocket::explosionParticles->setName("RocketExplosionParticles");
+    Rocket::explosionParticles->setMaterialTexture("maps/radial-trans-noise.png");
     Rocket::explosionParticles->setLifeSpan(.6, .3);
     Rocket::explosionParticles->setRadius(0.0, 10);
@@ -111,6 +115,6 @@
   ParticleEngine::getInstance()->addConnection(this->emitter, Rocket::trailParticles);
 
-  this->emitter->setEmissionRate(20.0);
-  this->emitter->setEmissionVelocity(3.0);
+  this->emitter->setEmissionRate(40.0);
+  this->emitter->setEmissionVelocity(0.0);
 }
 