Index: data/media/levels/presentation_dm.oxw
===================================================================
--- data/media/levels/presentation_dm.oxw	(revision 5512)
+++ data/media/levels/presentation_dm.oxw	(revision 5513)
@@ -3,4 +3,5 @@
   include("overlay/stats.oxo")
   include("levels/spaceshiptemplates_presentation.oxw")
+  include("levels/spaceshiptemplates_presentation_H2.oxw")
 ?>
 
@@ -18,5 +19,5 @@
 for i = 1, 10, 1 
 do ?>
-    <SpawnPoint position="<?lua print(math.random() * 1000 - 500) ?>,<?lua print(math.random() * 1000 - 500) ?>,<?lua print(math.random() * 1000 - 500) ?>" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff />
+    <SpawnPoint position="<?lua print(math.random() * 1000 - 500) ?>,<?lua print(math.random() * 1000 - 500) ?>,<?lua print(math.random() * 1000 - 500) ?>" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipHtwo />
 <?lua 
 end
@@ -32,4 +33,6 @@
       </events>
     </GlobalShader>
+
+    <Model position="0,0,0" scale=8 mesh="h2_green.mesh" />
 
 <?lua
Index: data/media/levels/spaceshiptemplates_presentation_H2.oxw
===================================================================
--- data/media/levels/spaceshiptemplates_presentation_H2.oxw	(revision 5513)
+++ data/media/levels/spaceshiptemplates_presentation_H2.oxw	(revision 5513)
@@ -0,0 +1,149 @@
+<Template name=spaceshipHtwo>
+  <SpaceShip
+   hudtemplate            = spaceshiphud
+   camerapositiontemplate = spaceshipHtwocameras
+   engine                 =spaceshipHtwoengine
+   spawnparticlesource    = "Orxonox/fairytwirl"
+   spawnparticleduration  = 3
+   explosionchunks        = 6
+
+   health            = 100
+   maxhealth         = 200
+   initialhealth     = 100
+
+   primaryThrust     = 100;
+   auxilaryThrust    = 30;
+   rotationThrust    = 25;
+   
+   collisionType     = "dynamic"
+   mass              = 100
+   linearDamping     = 0.7
+   angularDamping    = 0.9999999
+  >
+    <attached>
+      <Model position="0,0,0" yaw=90 pitch=-90 roll=0 scale3D="3,0.833,0.833" mesh="h2_green.mesh" />
+      <BlinkingBillboard position="11.68,4.02,9.52" material="Examples/Flare" colour="1.0, 0.5, 0.3" amplitude=0.1 frequency=0.5 quadratic=1 />
+      <BlinkingBillboard position="-12.27,4.02,9.52" material="Examples/Flare" colour="0.5, 1.0, 0.3" amplitude=0.1 frequency=0.5 phase=180 quadratic=1 />
+    </attached>
+    <collisionShapes>
+      <BoxCollisionShape position="0,0,0"      halfExtents="10, 3, 5" />
+      <BoxCollisionShape position="13,-1.3,0"  halfExtents="3, 1, 2" />
+      <BoxCollisionShape position="-13,-1.3,0" halfExtents="3, 1, 2" />
+      <BoxCollisionShape position="0,0,7"      halfExtents="3, 2, 2" />
+      <BoxCollisionShape position="0,0.1,-11"  halfExtents="2.2, 1.8, 6" />
+      <BoxCollisionShape position="0,0.1,-19"  halfExtents="1.4, 1, 2" />
+    </collisionShapes>
+    <weaponslots>
+      <WeaponSlot position="-15,-1.5,-25" yaw=0 pitch=0 roll=0 />
+      <WeaponSlot position="15,-1.5,-25" yaw=0 pitch=0 roll=0 />
+      <WeaponSlot position="0,0,-45" yaw=0 pitch=0 roll=0 />
+    </weaponslots>
+    <weaponsets>
+      <WeaponSet firemode=0 />
+      <WeaponSet firemode=1 />
+    </weaponsets>
+    <weapons>
+      <WeaponPack firemode=0>
+        <LaserGun position="-7.76,3.12,9.25" munitionType="LaserGunMunition" bulletLoadingTime="0.2" magazineLoadingTime="1.0" speed="1250" />
+        <LaserGun position="13.03,43.12,19.25" munitionType="LaserGunMunition" bulletLoadingTime="0.2" magazineLoadingTime="1.0" speed="1250" />
+      </WeaponPack>
+      <WeaponPack firemode=1>
+        <Fusion position="0,0,0" munitionType="LaserGunMunition" bulletLoadingTime="0.5" magazineLoadingTime="0" speed="500" />
+      </WeaponPack>
+    </weapons>
+  </SpaceShip>
+</Template>
+
+<Template name=spaceshipHtwocameras defaults=0>
+  <SpaceShip>
+    <camerapositions>
+      <CameraPosition position="0,10, 40" drag=true mouselook=true />
+      <CameraPosition position="0,20, 80" drag=true mouselook=true />
+      <CameraPosition position="0,30,120" drag=true mouselook=true />
+      <!--CameraPosition position="0,150,-25" pitch=-90 drag=true />
+      <CameraPosition position="0,0,-40" yaw=180 drag=true />
+      <CameraPosition position="0,3,-14" yaw=0 />
+      <CameraPosition position="-50,5,-8" yaw=-90 drag=true />
+      <CameraPosition position="50,5,-8" yaw=90 drag=true /-->
+    </camerapositions>
+  </SpaceShip>
+</Template>
+
+<Template name=spaceshipHtwoengine baseclass=MultiStateEngine>
+  <MultiStateEngine
+   boostfactor    = 2
+
+   speedfront     = 150
+   speedback      =  50
+   speedleftright =  50
+   speedupdown    =  50
+
+   accelerationfront     = 500
+   accelerationbrake     = 500
+   accelerationback      =  125
+   accelerationleftright =  125
+   accelerationupdown    =  125
+  >
+      <active>
+      <FadingBillboard mainstate=activity active=false scale=0.05 position="-0.1, 2, 12" colour="0, 0.65, 0, 0.5" material="Examples/FlareZwei_1" turnontime=0.5 turnofftime=0.5 />
+<!--
+      <Light mainstate=visibility position=" 12.7, 4, 17.2" diffuse="0.3, 0.6, 1.0" specular="0.3, 0.6, 1.0" attenuation="600, 1.0, 0.007, 0.0002" type=point />
+      <Light mainstate=visibility position="-13, 4, 16.8" diffuse="0.3, 0.6, 1.0" specular="0.3, 0.6, 1.0" attenuation="600, 1.0, 0.007, 0.0002" type=point />
+-->
+    </active>
+    <forward>
+      <Backlight mainstate=activity active=false scale=0.4 name=bltest position=" 7.06, 1.66, 12.45" colour="0.2, 0.65, 1.0, 1.0" width=15 length=1500 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
+      <Backlight mainstate=activity active=false scale=0.4 name=bltest position="-7.26, 1.66, 12.45" colour="0.2, 0.65, 1.0, 1.0" width=15 length=1500 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
+    </forward>
+    <boost>
+      <Backlight mainstate=activity active=false scale=0.4 name=bltest position=" 7.06,1.66, 12.45" colour="0.6, 0.75, 0.8, 0.7" width=40 length=1000 lifetime=1 elements=30 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Examples/Flare" />
+      <Backlight mainstate=activity active=false scale=0.4 name=bltest position="-7.26, 1.66, 12.45" colour="0.6, 0.75, 0.8, 0.7" width=40 length=1000 lifetime=1 elements=30 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Examples/Flare" />
+    </boost>
+    <brake>
+<!--
+      <FadingBillboard mainstate=activity active=false scale=0.3 position=" 12.7, 4.2, 11.5" colour="0.5, 0.0, 0.0, 0.3" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
+      <FadingBillboard mainstate=activity active=false scale=0.3 position="-13, 4.2, 11.5" colour="0.5, 0.0, 0.0, 0.3" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
+      <FadingBillboard mainstate=activity active=false scale=0.15 position=" 12.7, 4.2, 11.5" colour="1.0, 0.0, 0.0, 1.0" material="Flares/backlightflare" turnontime=0.5 turnofftime=0.5 />
+      <FadingBillboard mainstate=activity active=false scale=0.15 position="-13, 4.2, 11.5" colour="1.0, 0.0, 0.0, 1.0" material="Flares/backlightflare" turnontime=0.5 turnofftime=0.5 />
+-->
+    </brake>
+  </MultiStateEngine>
+</Template>
+
+<!--Template name=spaceshippirate>
+  <SpaceShip
+   health            = 100
+   maxhealth         = 200
+   initialhealth     = 100
+
+   maxspeed          = 250
+   maxsecondaryspeed = 50
+   maxrotation       = 100
+   transacc          = 200
+   rotacc            = 140
+   transdamp         = 75
+  >
+    <attached>
+      <Model position="0,-10,-45" yaw=90 pitch=-90 roll=0 scale=4 mesh="pirate.mesh" />
+    </attached>
+  </SpaceShip>
+</Template>
+
+<Template name=spaceshipspacecruiser>
+  <SpaceShip
+   health            = 100
+   maxhealth         = 200
+   initialhealth     = 100
+
+   maxspeed          = 250
+   maxsecondaryspeed = 50
+   maxrotation       = 100
+   transacc          = 200
+   rotacc            = 140
+   transdamp         = 75
+  >
+    <attached>
+      <Model position="8,-30,-120" yaw=90 pitch=-90 roll=0 scale=4 mesh="spacecruiser.mesh" />
+    </attached>
+  </SpaceShip>
+</Template-->
Index: data/media/materials/scripts/Example.material
===================================================================
--- data/media/materials/scripts/Example.material	(revision 5512)
+++ data/media/materials/scripts/Example.material	(revision 5513)
@@ -354,4 +354,21 @@
 			{
 				texture flare2.tga
+			}
+		}
+	}
+}
+material Examples/FlareZwei_1
+{
+	technique
+	{
+		pass
+		{
+			lighting off
+			scene_blend add
+			depth_write off
+
+			texture_unit
+			{
+				texture flare2_1.tga
 			}
 		}
Index: data/media/materials/scripts/h2_green.material
===================================================================
--- data/media/materials/scripts/h2_green.material	(revision 5513)
+++ data/media/materials/scripts/h2_green.material	(revision 5513)
@@ -0,0 +1,25 @@
+material Material/TEXFACE/final_gold.tga
+{
+	receive_shadows on
+	technique
+	{
+		pass
+		{
+			ambient 0.500000 0.500000 0.500000 1.000000
+			diffuse 0.800000 0.800000 0.800000 1.000000
+			emissive 0.000000 0.000000 0.000000 1.000000
+			texture_unit
+			{
+				texture final_gold.tga
+				colour_op modulate
+			}
+		}
+		pass
+		{
+			ambient 0.0 0.0 0.0
+			diffuse 0.0 0.0 0.0
+			specular 0.500000 0.500000 0.500000 1.000000 12.500000
+			scene_blend add
+		}
+	}
+}