Index: data/media/levels/presentation_dm.oxw
===================================================================
--- data/media/levels/presentation_dm.oxw	(revision 5518)
+++ data/media/levels/presentation_dm.oxw	(revision 5519)
@@ -15,4 +15,8 @@
   >
     <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0" />
+
+
+<Model mesh="can.mesh" scale=10 position="0,0,-100" />
+
 
 <?lua
Index: data/media/levels/spaceshiptemplates_presentation.oxw
===================================================================
--- data/media/levels/spaceshiptemplates_presentation.oxw	(revision 5518)
+++ data/media/levels/spaceshiptemplates_presentation.oxw	(revision 5519)
@@ -35,5 +35,5 @@
     </collisionShapes>
 <?lua
-  include("levels/weaponsettings1.oxw")
+  include("levels/weaponsettings2.oxw")
 ?>
   </SpaceShip>
Index: data/media/levels/tutorial.oxw
===================================================================
--- data/media/levels/tutorial.oxw	(revision 5518)
+++ data/media/levels/tutorial.oxw	(revision 5519)
@@ -26,31 +26,6 @@
     <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0" />
 
-<Drone primaryThrust=100 auxiliaryThrust=100 rotationThrust=100 mass = 50 linearDamping = 0.9 angularDamping = 0.7>
-  <attached>
-    <Model scale="10" mesh="Cylinder.mesh"/>
-  </attached>
-  <collisionShapes>
-    <BoxCollisionShape position="0,0,0"      halfExtents="10, 10, 10" />
-  </collisionShapes>
-</Drone>
-
-<Drone primaryThrust="100" auxilaryThrust="30" rotationThrust="10"
-
-mass = 50
-linearDamping = 0.9
-angularDamping = 0.7
-
-
->
-  <attached>
-    <Model scale="10" mesh="drone.mesh"/>
-  </attached>
-  <collisionShapes>
-    <BoxCollisionShape position="0,0,0"      halfExtents="10, 10, 10" />
-  </collisionShapes>
-</Drone>
-
-
-
+<Model mesh="hs-w01.mesh" scale=10 position="0,0,-100" />
+<Model mesh="hs-w01s.mesh" scale=10 position="0,0,-100" />
 
 <?lua
Index: data/media/levels/weaponsettings2.oxw
===================================================================
--- data/media/levels/weaponsettings2.oxw	(revision 5518)
+++ data/media/levels/weaponsettings2.oxw	(revision 5519)
@@ -1,5 +1,5 @@
     <weaponslots>
-      <WeaponSlot position="-15,-1.5,0" yaw=0 pitch=0 roll=0 />
-      <WeaponSlot position="15,-1.5,0" yaw=0 pitch=0 roll=0 />
+      <WeaponSlot position="-15,-0.5,0" yaw=0 pitch=0 roll=0 />
+      <WeaponSlot position="15,-.5,0" yaw=0 pitch=0 roll=0 />
       <WeaponSlot position="0,0,-45" yaw=0 pitch=0 roll=0 />
     </weaponslots>
@@ -16,8 +16,9 @@
         <Weapon>
           <attached>
-            <Model mesh="LightningGun.mesh" pitch="78" roll="90" yaw="90" position="0,-1.3,0" scale="0.5,0.5,0.5"/>
-            <Model mesh="LightningGun-s.mesh" pitch="78" roll="90" yaw="90" position="0.2,-1.3,0" scale="0.5,0.5,0.5"/>
+            <Model mesh="hs-w01.mesh" roll="195"/>
+            <Model mesh="hs-w01s.mesh" roll="195" position="0.1,-0.5,0"/>
           </attached>
-          <LightningGun mode=0 muzzleoffset="0,0,-20" />
+          <HsW01 mode=0 munitionpershot=0 delay=0 material="Flares/point_lensflare" muzzleoffset="-2,-0.2,-20" />
+          <HsW01 mode=0 munitionpershot=0 delay=0.125 material="Flares/point_lensflare" muzzleoffset="2,0.2,-20" />
           <LaserFire mode=1 damage=1 munitionpershot=0 reloadtime=1 muzzleoffset="0,5,0" />
           <LaserFire mode=1 damage=1 munitionpershot=0 reloadtime=1 muzzleoffset="0,-5,0" />
@@ -25,8 +26,10 @@
         <Weapon>
           <attached>
-            <Model mesh="LightningGun.mesh" pitch="103" roll="90" yaw="90" position="0,-1.35,0" scale="0.5,0.5,0.5"/>
-            <Model mesh="LightningGun-s.mesh" pitch="103" roll="90" yaw="90" position="0.2,-1.35,0" scale="0.5,0.5,0.5"/>
+            <Model mesh="hs-w01.mesh" roll="165"/>
+            <Model mesh="hs-w01s.mesh" roll="165" position="-0.1,-0.5,0"/>
           </attached>
-          <LightningGun mode=0 muzzleoffset="0,0,-20" />
+          <HsW01 mode=0 munitionpershot=0 delay=0  material="Flares/point_lensflare"muzzleoffset="2,-0.2,-20" />
+          <HsW01 mode=0 munitionpershot=0 delay=0.125 material="Flares/point_lensflare" muzzleoffset="-2,0.2,-20" />
+          <!--LaserFire mode=0 munitionpershot=0 muzzleoffset="0,0,-25" /-->
           <LaserFire mode=1 damage=1 munitionpershot=0 reloadtime=1 muzzleoffset="0,5,0" />
           <LaserFire mode=1 damage=1 munitionpershot=0 reloadtime=1 muzzleoffset="0,-5,0" />
Index: data/media/materials/scripts/can.material
===================================================================
--- data/media/materials/scripts/can.material	(revision 5519)
+++ data/media/materials/scripts/can.material	(revision 5519)
@@ -0,0 +1,25 @@
+material can/TEXFACE/can.tga
+{
+	receive_shadows on
+	technique
+	{
+		pass
+		{
+			ambient 0.500000 0.500000 0.500000 1.000000
+			diffuse 0.800000 0.800000 0.800000 1.000000
+			emissive 0.000000 0.000000 0.000000 1.000000
+			texture_unit
+			{
+				texture can.tga
+				colour_op modulate
+			}
+		}
+		pass
+		{
+			ambient 0.0 0.0 0.0
+			diffuse 0.0 0.0 0.0
+			specular 0.500000 0.500000 0.500000 1.000000 12.500000
+			scene_blend add
+		}
+	}
+}
Index: data/media/materials/scripts/can.material~
===================================================================
--- data/media/materials/scripts/can.material~	(revision 5519)
+++ data/media/materials/scripts/can.material~	(revision 5519)
@@ -0,0 +1,25 @@
+material can/TEXFACE/can.tga
+{
+	receive_shadows on
+	technique
+	{
+		pass
+		{
+			ambient 0.500000 0.500000 0.500000 1.000000
+			diffuse 0.800000 0.800000 0.800000 1.000000
+			emissive 0.000000 0.000000 0.000000 1.000000
+			texture_unit
+			{
+				texture can.tga
+				colour_op modulate
+			}
+		}
+		pass
+		{
+			ambient 0.0 0.0 0.0
+			diffuse 0.0 0.0 0.0
+			specular 0.500000 0.500000 0.500000 1.000000 12.500000
+			scene_blend add
+		}
+	}
+}
Index: data/media/materials/scripts/hs-w01.material
===================================================================
--- data/media/materials/scripts/hs-w01.material	(revision 5519)
+++ data/media/materials/scripts/hs-w01.material	(revision 5519)
@@ -0,0 +1,50 @@
+material hs-w01s/TEXFACE/hs-w01.tga
+{
+	receive_shadows on
+	technique
+	{
+		pass
+		{
+			ambient 0.500000 0.500000 0.500000 1.000000
+			diffuse 0.800000 0.800000 0.800000 1.000000
+			emissive 0.000000 0.000000 0.000000 1.000000
+			texture_unit
+			{
+				texture hs-w01.tga
+				colour_op modulate
+			}
+		}
+		pass
+		{
+			ambient 0.0 0.0 0.0
+			diffuse 0.0 0.0 0.0
+			specular 0.500000 0.500000 0.500000 1.000000 12.500000
+			scene_blend add
+		}
+	}
+}
+material hs-w01/TEXFACE/hs-w01.tga
+{
+	receive_shadows on
+	technique
+	{
+		pass
+		{
+			ambient 0.500000 0.500000 0.500000 1.000000
+			diffuse 0.800000 0.800000 0.800000 1.000000
+			emissive 0.000000 0.000000 0.000000 1.000000
+			texture_unit
+			{
+				texture hs-w01.tga
+				colour_op modulate
+			}
+		}
+		pass
+		{
+			ambient 0.0 0.0 0.0
+			diffuse 0.0 0.0 0.0
+			specular 0.500000 0.500000 0.500000 1.000000 12.500000
+			scene_blend add
+		}
+	}
+}
Index: data/media/materials/scripts/hs-w01s.material
===================================================================
--- data/media/materials/scripts/hs-w01s.material	(revision 5519)
+++ data/media/materials/scripts/hs-w01s.material	(revision 5519)
@@ -0,0 +1,25 @@
+material hs-w01s/TEXFACE/hs-w01s.tga
+{
+	receive_shadows on
+	technique
+	{
+		pass
+		{
+			ambient 0.500000 0.500000 0.500000 1.000000
+			diffuse 0.800000 0.800000 0.800000 1.000000
+			emissive 0.000000 0.000000 0.000000 1.000000
+			texture_unit
+			{
+				texture hs-w01s.tga
+				colour_op modulate
+			}
+		}
+		pass
+		{
+			ambient 0.0 0.0 0.0
+			diffuse 0.0 0.0 0.0
+			specular 0.500000 0.500000 0.500000 1.000000 12.500000
+			scene_blend add
+		}
+	}
+}
Index: data/media/materials/scripts/hs-w01s.material~
===================================================================
--- data/media/materials/scripts/hs-w01s.material~	(revision 5519)
+++ data/media/materials/scripts/hs-w01s.material~	(revision 5519)
@@ -0,0 +1,26 @@
+material hs-w01s/TEXFACE/hs-w01s.tga
+{
+	receive_shadows on
+	technique
+	{
+		pass
+		{
+			ambient 0.500000 0.500000 0.500000 1.000000
+			diffuse 0.800000 0.800000 0.800000 1.000000
+			emissive 0.000000 0.000000 0.000000 1.000000
+			scene_blend add
+			texture_unit
+			{
+				texture hs-w01s.tga
+				colour_op modulate
+			}
+		}
+		pass
+		{
+			ambient 0.0 0.0 0.0
+			diffuse 0.0 0.0 0.0
+			specular 0.500000 0.500000 0.500000 1.000000 12.500000
+			scene_blend add
+		}
+	}
+}
Index: data/media/materials/scripts/laserbeam.material
===================================================================
--- data/media/materials/scripts/laserbeam.material	(revision 5519)
+++ data/media/materials/scripts/laserbeam.material	(revision 5519)
@@ -0,0 +1,18 @@
+material laserbeam/TEXFACE/laserbeam.tga
+{
+	technique
+	{
+		pass
+		{
+			lighting off
+			depth_write off
+			scene_blend add
+			texture_unit
+			{
+				texture laserbeam.tga
+				colour_op modulate
+			}
+		}
+
+	}
+}
Index: data/media/materials/scripts/laserbeam.material~
===================================================================
--- data/media/materials/scripts/laserbeam.material~	(revision 5519)
+++ data/media/materials/scripts/laserbeam.material~	(revision 5519)
@@ -0,0 +1,24 @@
+material laserbeam/TEXFACE/laserbeam.tga
+{
+	technique
+	{
+		pass
+		{
+			lighting off
+			depth_write off
+			scene_blend add
+			texture_unit
+			{
+				texture laserbeam.tga
+				colour_op modulate
+			}
+		}
+		pass
+		{
+			ambient 0.0 0.0 0.0
+			diffuse 0.0 0.0 0.0
+			specular 0.500000 0.500000 0.500000 1.000000 12.500000
+			scene_blend add
+		}
+	}
+}